part of tecfy_core_client_package;

class TecfyPoweredBy extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Row(
      textDirection: TextDirection.ltr,
      mainAxisAlignment: MainAxisAlignment.center,
      children: <Widget>[
        TecfyText('Powered By',
            style: TextStyle(
                fontSize: 11,
                color: ThemeService.mainColor,
                fontWeight: FontWeight.bold)),
        TextButton(
            child: Row(
              children: [
                Text(
                  TecfyCoreApp.poweredBy ?? 'TECFY L.L.C',
                  style: TextStyle(
                      fontSize: 12,
                      color: ThemeService.mainColor,
                      fontWeight: FontWeight.bold),
                ),
                SizedBox(width: 5),
                TecfyBasicApp.isTest || TecfyCoreApp.poweredByLogo == null
                    ? Container()
                    : Image.memory(TecfyCoreApp.poweredByLogo!,
                        width: 20, height: 20),
                // : Image.asset('/assets/images/icon.png', width: 20, height: 20),
              ],
            ),
            onPressed: () {
              launchUrlString(TecfyCoreApp.poweredByUrl ?? 'https://tecfy.co');
            }),
      ],
    );
  }
}
